summaryrefslogtreecommitdiffstats
path: root/jjb
diff options
context:
space:
mode:
Diffstat (limited to 'jjb')
-rw-r--r--jjb/csit/csit-vpp-functional.yaml10
-rw-r--r--jjb/csit/include-raw-csit-vpp-verify-master.sh15
-rw-r--r--jjb/csit/include-raw-csit-vpp-verify-weekly.sh21
3 files changed, 26 insertions, 20 deletions
diff --git a/jjb/csit/csit-vpp-functional.yaml b/jjb/csit/csit-vpp-functional.yaml
index 7e1ff5c6f..728d3f525 100644
--- a/jjb/csit/csit-vpp-functional.yaml
+++ b/jjb/csit/csit-vpp-functional.yaml
@@ -5,7 +5,7 @@
jobs:
- 'csit-vpp-perf-hw-{type}'
- 'csit-vpp-functional-virl'
- - 'csit-vpp-master-verify-weekly'
+ - 'csit-vpp-verify-weekly'
project: 'csit'
branch: 'master'
@@ -110,7 +110,7 @@
output-path: ''
- job-template:
- name: 'csit-vpp-master-verify-weekly'
+ name: 'csit-vpp-verify-weekly'
project-type: freestyle
node: verify
@@ -139,16 +139,16 @@
- '{ssh-credentials}'
triggers:
- - timed: 'H H * * 0'
+ - timed: '0 4 * * 0'
- gerrit-trigger-manually-triggered:
- comment-trigger-value: 'csit-weekly-verify'
+ comment-trigger-value: 'csit-vpp-ref-verify'
name: '{project}'
branch: '{branch}'
builders:
- shell:
- !include-raw-escape jjb/csit/include-raw-csit-vpp-verify-master.sh
+ !include-raw-escape jjb/csit/include-raw-csit-vpp-verify-weekly.sh
publishers:
- archive-artifacts:
diff --git a/jjb/csit/include-raw-csit-vpp-verify-master.sh b/jjb/csit/include-raw-csit-vpp-verify-master.sh
deleted file mode 100644
index 8f5d005ec..000000000
--- a/jjb/csit/include-raw-csit-vpp-verify-master.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/bash
-
-# execute csit bootstrap script if it exists
-if [ -e bootstrap-verify-master.sh ]
-then
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-verify-master.sh
- # run the script
- ./bootstrap-verify-master.sh
-else
- echo 'ERROR: No bootstrap-verify-master.sh found'
- exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :
diff --git a/jjb/csit/include-raw-csit-vpp-verify-weekly.sh b/jjb/csit/include-raw-csit-vpp-verify-weekly.sh
new file mode 100644
index 000000000..671993387
--- /dev/null
+++ b/jjb/csit/include-raw-csit-vpp-verify-weekly.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -xeu -o pipefail
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit --branch master
+
+cd csit
+
+# execute csit bootstrap script if it exists
+if [ -e bootstrap-vpp-verify-weekly.sh ]
+then
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap-vpp-verify-weekly.sh
+ # run the script
+ ./bootstrap-vpp-verify-weekly.sh
+else
+ echo 'ERROR: No bootstrap-verify-master.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :